Bug 815160 - RFE: Check status on preview, assemble or build
Summary: RFE: Check status on preview, assemble or build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CSProcessor
Version: 1.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Lee Newson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-23 00:58 UTC by Joshua Wulf
Modified: 2014-10-19 23:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 02:20:37 UTC


Attachments (Terms of Use)

Description Joshua Wulf 2012-04-23 00:58:23 UTC
When I edit the Content Spec, sometimes I forget to push before I build, assemble or preview. 

It would be good if on these commands the Processor would do "csprocessor status" in the background, and then tell me:

"You have unsaved local changes - do you want to push these changes before building (y/N)?"

then if I say "y" or "Y", it will do csprocessor push, then execute my build command.


cspclient-0.23.0-1.noarch
OS: Fedora release 15 (Lovelock)

JAVA: java version "1.7.0_01"
Java(TM) SE Runtime Environment (build 1.7.0_01-b08)
Java HotSpot(TM) 64-Bit Server VM (build 21.1-b02, mixed mode)

Comment 1 Misty Stanley-Jones 2013-05-29 02:20:37 UTC
This no longer seems relevant with the new direction the csproceessor is taking.


Note You need to log in before you can comment on or make changes to this bug.